## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# SUSE guys use OBS to automatically handle release numbers,
# when rebasing check what they are using on
# https://download.opensuse.org/repositories/openSUSE:/Tools/Fedora_34/src/
# update the obsrel to match the upstream release number
%global obsrel 322.5

# osc plugin support
%global osc_plugin_dir %{_prefix}/lib/osc-plugins

# for obs source services
%global obsroot %{_prefix}/lib/obs
%global obs_srcsvc_dir %{obsroot}/service
%global __python %{__python3}

Name:           osc
Summary:        Open Build Service Commander
Version:        0.175.0
# Bump the release as necessary to ensure we're one level up from upstream
Release:        %{obsrel}.%{autorelease}
License:        GPLv2+
URL:            https://github.com/openSUSE/%{name}
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  diffstat
BuildRequires:  python3-devel
BuildRequires:  python3-distro
BuildRequires:  python3-rpm
BuildRequires:  python3-setuptools
Requires:       python3-distro
Requires:       python3-rpm
Requires:       python3-m2crypto
Requires:       python3-lxml
Requires:       python%{python3_pkgversion}-osc = %{version}

%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:  python3-progressbar2
Requires:       python3-progressbar2
Recommends:     obs-build
Recommends:     obs-service-source_validator
%else
Requires:       obs-service-source_validator
%endif

# To ensure functional parity
Conflicts:      obs-build < 20191205

%description
Commandline client for the Open Build Service.

See http://en.opensuse.org/openSUSE:OSC , as well as
http://en.opensuse.org/openSUSE:Build_Service_Tutorial for a general
introduction.

%package -n python%{python3_pkgversion}-osc
Summary:  Python module for osc

%description -n python%{python3_pkgversion}-osc
Python libraries for Open Build Service commandline client.

%prep
%autosetup -p1

#fixup encoding
iconv -f ISO8859-1 -t UTF-8 -o TODO.new TODO
mv TODO.new TODO

%build
%py_build

%install
%py_install

%__ln_s osc-wrapper.py %{buildroot}%{_bindir}/osc
%__mkdir_p %{buildroot}%{_localstatedir}/lib/osc-plugins
%__mkdir_p %{buildroot}%{_datadir}/bash-completion/completions/
install -Dm0644 dist/complete.csh %{buildroot}%{_sysconfdir}/profile.d/osc.csh
install -Dm0644 dist/complete.sh %{buildroot}%{_datadir}/bash-completion/completions/osc
install -Dm0755 dist/osc.complete %{buildroot}%{_datadir}/osc/complete
install -Dm0644 osc.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/osc.fish

mkdir -p %{buildroot}%{obs_srcsvc_dir}

mkdir -p %{buildroot}%{osc_plugin_dir}

mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d/

# osc rpm macros
cat > %{buildroot}%{_rpmconfigdir}/macros.d/macros.osc <<EOM
%%obs_srcsvc_dir %{obs_srcsvc_dir}
%%osc_plugin_dir %{osc_plugin_dir}
EOM

%check
cd tests
%__python suite.py

%files
%doc AUTHORS README TODO NEWS
%license COPYING
%{_bindir}/osc*
%exclude %{python_sitelib}/osc*
%{_sysconfdir}/profile.d/osc.csh
%{_datadir}/bash-completion/completions/osc
%{_datadir}/fish/vendor_completions.d/osc.fish
%dir %{_localstatedir}/lib/osc-plugins
%{_mandir}/man1/osc.*
%{_datadir}/osc
%{_rpmconfigdir}/macros.d/macros.osc
%dir %{obsroot}
%dir %{obs_srcsvc_dir}
%dir %{osc_plugin_dir}

%files -n python%{python3_pkgversion}-osc
%{python_sitelib}/osc*

%changelog
* Sat Feb 12 2022 Matthew Davis <fedoraproject@virtual.drop.net> 0.175.0-3
- Uncommitted changes

* Fri Feb 11 2022 Matthew Davis <github@virtual.drop.net> 0.175.0-2
- Modified to use python3 on el7

* Mon Jan 24 2022 Dan Čermák <dan.cermak@cgc-instruments.com> 0.175.0-1
- New upstream release 0.175.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.174.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jul 25 2021 Dan Čermák <dan.cermak@cgc-instruments.com> 0.174.0-1
- New upstream release 0.174.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.169.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 0.169.1-6
- Rebuilt for Python 3.10

* Thu May 06 2021 Tomas Hrnciar <thrnciar@redhat.com> 0.169.1-5
- Add BuildRequire on setuptools

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.169.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.169.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 02 2020 Adam Williamson <awilliam@redhat.com> 0.169.1-2
- Fix patch name

* Tue Jun 02 2020 Adam Williamson <awilliam@redhat.com> 0.169.1-1
- Update to 0.169.1, fix build with Python 3.9

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> 0.167.1-5
- Rebuilt for Python 3.9

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.167.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Dec 31 2019 Neal Gompa <ngompa13@gmail.com> 0.167.1-3
- Rebuild again to deal with random Koji+Bodhi breakage

* Fri Dec 27 2019 Neal Gompa <ngompa13@gmail.com> 0.167.1-2
- Rebuild to deal with random Koji+Bodhi breakage

* Fri Dec 27 2019 Neal Gompa <ngompa13@gmail.com> 0.167.1-1
- Update to 0.167.1

* Mon Nov 18 2019 Neal Gompa <ngompa13@gmail.com> 0.166.2-2
- Fix patch for replacing cgi.escape with html.escape

* Mon Nov 18 2019 Neal Gompa <ngompa13@gmail.com> 0.166.2-1
- Update to 0.166.2

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> 0.165.1-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> 0.165.1-4
- Rebuilt for Python 3.8

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.165.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Neal Gompa <ngompa13@gmail.com> 0.165.1-2
- Add patch proposed upstream to fix local builds

* Fri May 31 2019 Neal Gompa <ngompa13@gmail.com> 0.165.1-1
- Update to 0.165.1

* Sun Mar 24 2019 Neal Gompa <ngompa13@gmail.com> 0.164.2-1
- Update to 0.164.2

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.163.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.163.0-2
- Remove obsolete Group tag

* Thu Aug 23 2018 Neal Gompa <ngompa13@gmail.com> 0.163.0-1
- Update to 0.163.0

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.162.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Iryna Shcherbina <shcherbina.iryna@gmail.com> 0.162.1-3
- Update Python 2 dependency declarations to new packaging standards

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.162.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Neal Gompa <ngompa13@gmail.com> 0.162.1-1
- Rebase to 0.162.1 to fix CVE-2017-9274

* Sun Nov 05 2017 Neal Gompa <ngompa13@gmail.com> 0.161.1-1
- Rebase to 0.161.1

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.157.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Mar 18 2017 Neal Gompa <ngompa13@gmail.com> 0.157.1-1
- Rebase to 0.157.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.155.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Aug 12 2016 Neal Gompa <ngompa13@gmail.com> 0.155.0-1
- Rebase to 0.155.0

* Fri Aug 12 2016 Neal Gompa <ngompa13@gmail.com> 0.154.0-1
- Rebase to 0.154.0

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> 0.151.1-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> 0.151.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> 0.151.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 24 2015 Miroslav Suchý <msuchy@redhat.com> 0.151.1-2
- add BR python-urlgrabber

* Tue Mar 24 2015 Miroslav Suchý <msuchy@redhat.com> 0.151.1-1
- rebase to osc-0.151.1

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> 0.140.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> 0.140.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Miroslav Suchý <msuchy@redhat.com> 0.140.1-1
- Update osc to 0.140.1-107.1.1

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> 0.132.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Dennis Gilmore <dennis@ausil.us> 0.132.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> 0.132.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Jerome Soyer <jerome.soyer@ac-dijon.fr> 0.132.4-1
- Update to 0.132.4

* Wed Jun 15 2011 Jerome Soyer <jerome.soyer@ac-dijon.fr> 0.132.1-1
- initial commit
